<?php
namespace Service;
use Doctrine\ORM\EntityManager;
use \Util\Utilities;

class Priority {

    /** @var EntityManager $entityManager */
    protected $entityManager;
    /** @var \Util\Utilities $environment */
    protected $environment;
    /** @var \Factory\Priority $priorityFactory */
    protected $priorityFactory;
    /** @var \Doctrine\ORM\EntityRepository $priorityRepository */
    protected $priorityRepository;

    public function __construct(EntityManager $entityManager, Utilities $environment, \Factory\Priority $priorityFactory) {
        $this->entityManager    = $entityManager;
        $this->environment      = $environment;
        $this->priorityFactory  = $priorityFactory;
        $this->priorityRepository = $this->entityManager->getRepository('\Zeedhi\DevOps\Model\Projectmanagement\Entities\Priority');
    }

    public function createIssuePriorities($priorityLabel, $priorityColor)
    {
        try {
            $priorityEntity = $this->priorityFactory->createIssuePriorities($priorityLabel, $priorityColor);
            $this->entityManager->persist($priorityEntity);
            $this->entityManager->flush();
            return array("ID" => $priorityEntity->getId());
        } catch (\Exception $ex) {
            throw $ex;
        }
    }

    public function updateIssuePriorities($priorityId, $priorityName, $priorityColor)
    {
        try {
            $priorityEntity = $this->entityManager->getRepository('\Zeedhi\DevOps\Model\Projectmanagement\Entities\Priority')->findBy(array('id' => $priorityId))[0];
            $priorityEntity = $this->priorityFactory->updateIssuePriorities($priorityEntity, $priorityName, $priorityColor);
            $this->entityManager->persist($priorityEntity);
            $this->entityManager->flush();
            return array("ID" => $priorityEntity->getId());
        } catch (\Exception $ex) {
            throw $ex;
        }
    }
}