CREATE TABLE FCT_AGRUPAMENTOTIPOORCA (
	NRAGRUPAMENTOTIPOORCA		NUMBER NOT NULL,
	NMAGRUPAMENTOTIPOORCA		VARCHAR2(150)  NOT NULL,
 	DSOBSAGRUPTIPOORCA		  CLOB,
	IDTPFATURA			        VARCHAR2(1),
	CDFILIAL			          VARCHAR2(4),
	CDTIPOOPERFATURA        VARCHAR2(2),
	IDNATUOPER 			        VARCHAR2(4),
	CDSERIE 			          VARCHAR2(5),
	CDINSCESTA         			VARCHAR2(16),
	CDINSCMUNI         			VARCHAR2(16),
	IDMUNIPRESTSERV    			VARCHAR2(1),
	IDTIPONATUOPER     			VARCHAR2(1),
	CDEMPRESA          			VARCHAR2(2),
  NRORG                   NUMBER 	        DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 		NOT NULL,
  IDATIVO                 VARCHAR2(1)     DEFAULT 'S'					NOT NULL,
  DTINCLUSAO              DATE            DEFAULT SYSDATE,
  DTULTATU                DATE            DEFAULT SYSDATE,
  NRORGINCLUSAO           NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
  CDOPERINCLUSAO          VARCHAR2(12)    DEFAULT '1' 					NULL,
  NRORGULTATU             NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
  CDOPERULTATU            VARCHAR2(12)    DEFAULT '1',
	 CONSTRAINT CKC_IDATIVO_FCT_AGRUPTIPOORCA CHECK (IDATIVO IN ('S','N'))
)
/

ALTER TABLE FCT_AGRUPAMENTOTIPOORCA ADD CONSTRAINT PK_FCT_AGRUPAMENTOTIPOORCA PRIMARY KEY (NRAGRUPAMENTOTIPOORCA)
/

ALTER TABLE FCT_AGRUPAMENTOTIPOORCA ADD CONSTRAINT CHK_IDTPFATURA_FCT_AGRUPTIPOORCA CHECK (IDTPFATURA IN ('A', 'X', 'P'))
/

ALTER TABLE FCT_AGRUPAMENTOTIPOORCA ADD CONSTRAINT SM00419FKFILIAL_FCT_AGTPORCA FOREIGN KEY (CDFILIAL) REFERENCES FILIAL (CDFILIAL)
/

CREATE INDEX SM00419_FK ON FCT_AGRUPAMENTOTIPOORCA(CDFILIAL ASC)
/

CREATE TABLE FCT_RELACAGRUPTIPOORCA (
	NRRELACAGRUPTIPOORCA		NUMBER NOT NULL,
	NRAGRUPAMENTOTIPOORCA		NUMBER NOT NULL,
	NRTIPOORCAMENTO			    NUMBER NOT NULL,
  NRORG                   NUMBER 	        DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 		NOT NULL,
  IDATIVO                 VARCHAR2(1)     DEFAULT 'S'					NOT NULL,
  DTINCLUSAO              DATE            DEFAULT SYSDATE,
  DTULTATU                DATE            DEFAULT SYSDATE,
  NRORGINCLUSAO           NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
  CDOPERINCLUSAO          VARCHAR2(12)    DEFAULT '1' 					NULL,
  NRORGULTATU             NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
  CDOPERULTATU            VARCHAR2(12)    DEFAULT '1',
	  CONSTRAINT CKC_IDATIVO_FCT_RELAGRUPTPORCA CHECK (IDATIVO IN ('S','N'))
)
/

ALTER TABLE FCT_RELACAGRUPTIPOORCA ADD CONSTRAINT PK_FCT_RELACAGRUPTIPOORCA PRIMARY KEY (NRRELACAGRUPTIPOORCA)
/

ALTER TABLE FCT_RELACAGRUPTIPOORCA ADD CONSTRAINT SM00420FKAGTPORC_RELAGTPORC FOREIGN KEY (NRAGRUPAMENTOTIPOORCA) REFERENCES FCT_AGRUPAMENTOTIPOORCA (NRAGRUPAMENTOTIPOORCA)
/

CREATE INDEX SM00420_FK ON FCT_RELACAGRUPTIPOORCA(NRAGRUPAMENTOTIPOORCA ASC)
/

ALTER TABLE FCT_RELACAGRUPTIPOORCA ADD CONSTRAINT SM00421FKTPORC_RELAGRUPTPORC FOREIGN KEY (NRTIPOORCAMENTO) REFERENCES FCT_TIPOORCAMENTO (NRTIPOORCAMENTO)
/

CREATE INDEX SM00421_FK ON FCT_RELACAGRUPTIPOORCA(NRTIPOORCAMENTO ASC)
/

ALTER TABLE FCT_RELACESCOPOAGRUPAMENTO MODIFY NRTIPOORCAMENTO NULL
/

ALTER TABLE FCT_RELACESCOPOAGRUPAMENTO ADD NRAGRUPAMENTOTIPOORCA NUMBER
/

ALTER TABLE FCT_RELACESCOPOAGRUPAMENTO ADD CONSTRAINT SM00422FKRELESCAG_RELAGTPORC FOREIGN KEY (NRAGRUPAMENTOTIPOORCA) REFERENCES FCT_AGRUPAMENTOTIPOORCA (NRAGRUPAMENTOTIPOORCA)
/

CREATE INDEX SM00422_FK ON FCT_RELACESCOPOAGRUPAMENTO(NRAGRUPAMENTOTIPOORCA ASC)
/